#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ShieldGameData
{
	//渠道ID
	int mChannelID;
	// 特殊开放限制游戏
	std::vector<int> mGameList;
	//捕鱼等级限制
	std::vector<int> mOpenLvList;
};

class M_ShieldGame
{
public:
private:
	static std::auto_ptr<M_ShieldGame> msSingleton;
public:
	int GetCount();
	const M_ShieldGameData* GetData(int ChannelID);
	boost::unordered_map<int, M_ShieldGameData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ShieldGame* GetSingleton();
private:
	boost::unordered_map<int, M_ShieldGameData> mMapData;
};
